=== modified file 'storage/heap/ha_heap.cc'
--- storage/heap/ha_heap.cc	2008-07-30 05:35:21 +0000
+++ storage/heap/ha_heap.cc	2008-08-02 19:53:06 +0000
@@ -354,7 +354,7 @@
   int error;
   HEAP_PTR heap_position;
   ha_statistic_increment(&SSV::ha_read_rnd_count);
-  memcpy((char*) &heap_position, pos, sizeof(HEAP_PTR));
+  memcpy(&heap_position, pos, sizeof(HEAP_PTR));
   error=heap_rrnd(file, buf, heap_position);
   table->status=error ? STATUS_NOT_FOUND: 0;
   return error;

=== modified file 'storage/heap/hp_create.c'
--- storage/heap/hp_create.c	2008-07-28 09:44:49 +0000
+++ storage/heap/hp_create.c	2008-08-02 19:53:06 +0000
@@ -51,8 +51,8 @@
     
     for (i= key_segs= max_length= 0, keyinfo= keydef; i < keys; i++, keyinfo++)
     {
-      memset((char*) &keyinfo->block, 0, sizeof(keyinfo->block));
-      memset((char*) &keyinfo->rb_tree , 0, sizeof(keyinfo->rb_tree));
+      memset(&keyinfo->block, 0, sizeof(keyinfo->block));
+      memset(&keyinfo->rb_tree , 0, sizeof(keyinfo->rb_tree));
       for (j= length= 0; j < keyinfo->keysegs; j++)
       {
 	length+= keyinfo->seg[j].length;

=== modified file 'storage/heap/hp_hash.c'
--- storage/heap/hp_hash.c	2008-07-30 05:35:21 +0000
+++ storage/heap/hp_hash.c	2008-08-02 19:53:06 +0000
@@ -755,7 +755,7 @@
       set_if_smaller(length,tmp_length);
       FIX_LENGTH(cs, pos, length, char_length);
       store_key_length_inc(key,char_length);
-      memcpy((uchar*) key,(uchar*) pos,(size_t) char_length);
+      memcpy(key,pos,(size_t) char_length);
       key+= char_length;
       continue;
     }
@@ -818,7 +818,7 @@
       set_if_smaller(length,tmp_length);	/* Safety */
       FIX_LENGTH(cs, old, length, char_length);
       store_key_length_inc(key,char_length);
-      memcpy((uchar*) key, old,(size_t) char_length);
+      memcpy(key, old,(size_t) char_length);
       key+= char_length;
       continue;
     }

